xpilot-ng (1:4.7.3-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Change dependency on obsolete transitional package ttf-freefont to
    fonts-freefont-ttf.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 23 Nov 2017 23:42:12 +0000

xpilot-ng (1:4.7.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4. Closes: #728009, #744551

 -- Steve McIntyre <93sam@debian.org>  Fri, 24 Oct 2014 17:59:32 -0700

xpilot-ng (1:4.7.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Update dependency on python-wxgtk2.8 to python-wxgtk3.0.
  * Update patch use-wxwidgets2.8.patch to use wxwidgets3.0 by default and
    rename to use-wxwidgets3.0.patch.

 -- Olly Betts <olly@survex.com>  Fri, 08 Aug 2014 17:10:32 +1200

xpilot-ng (1:4.7.3-2) unstable; urgency=low

  * Add pjb@debian.org to Uploaders in control file (discussed with
    maintainer via email).
  * Acknowledge NMUs -1.1 to -1.4 (closes: #580648, #584988, #645511).
    Thank you.
  * Apply patch so that +cannonsPickupItems is no longer ignored
    (closes: #595957).  Add cannons-pickup-items.patch.
  * Fix typo in control file (closes: #697995).
  * xpilot-ng-common now uses python-irc instead of python-irclib
    (closes: #719115).  Add use-python-irc.patch.
  * Bump standards-version to 3.9.4.
  * Use dh_python2 instead of dh_pysupport.
  * Add hardening flags to debian/rules.
  * Change --name to --exec in prerm (closes: #645867).
  * Change source/options to ignore results of autoreconf.
  * Fix debian/xpilot-ng-server.init for runlevels 0 and 6.

 -- Phil Brooke <pjb@debian.org>  Sun, 10 Nov 2013 10:10:57 +0000

xpilot-ng (1:4.7.3-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Migrate to use /run instead of /var/run and make sure to create
    /run/xpilot-ng-server and set the correct owner, group and permissions
    before using it, since it won't persist over reboot when /run is a tmpfs.
    (Closes: #645868)

 -- Olly Betts <olly@survex.com>  Fri, 25 Nov 2011 09:42:17 +0000

xpilot-ng (1:4.7.3-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Update dependency on python-wxgtk2.6 to python-wxgtk2.8.
  * Add patch use-wxwidgets2.8.patch to use wxwidgets2.8 by default.

 -- Olly Betts <olly@survex.com>  Sun, 16 Oct 2011 11:29:22 +0000

xpilot-ng (1:4.7.3-1.2) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * debian/copyright
    - (1:4.7.3-1.1 entries): Delete bogus Closes line for
      #515489. Delete bogus Build-Depends message.
  * debian/patches
    - Delete directory. Generated by packaging format 3.0 from the build
      process. Contained only auto generated files, not modified by us.
  * debian/source/options
    - New file. Ignore files from patch. This makes debian/patches/ to
      appear clean.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 02 Jun 2010 21:01:11 +0300

xpilot-ng (1:4.7.3-1.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): Update to debhelper 7.1.
    - (Depends): Add ${misc:Depends}.
    - (Homepage): Add new field; lift from Description.
    - (Standards-Version): Update to 3.8.4.
  * debian/{postrm,postinst}
    - Fix Lintian maintainer-script-ignores-errors.
  * debian/source/format
    - New file.
  * debian/watch
    - New file (Closes: #549382).
      Thanks to Daniel Leidert <daniel.leidert@wgdd.de>.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 07 May 2010 03:20:09 +0300

xpilot-ng (1:4.7.3-1) unstable; urgency=low

  * Upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 07 Mar 2010 18:33:13 -0400

xpilot-ng (1:4.7.3~cvs20091102-1) unstable; urgency=low

  * CVS snapshot, including fix for conflicting getline function in
    textinterface.c. (Closes: #552817)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 02 Nov 2009 14:05:17 -0400

xpilot-ng (1:4.7.3~cvs20080224-1) unstable; urgency=low

  * CVS snapshot, preparing for 4.7.3 release.
  * Fix dependencies to make binNMU safe. (Closes: #435967)
  * Moved maps and server configs from -common to -server and dropped -server
    dependency on -common. (Closes: #436061)
  * Added README.Debian explaining change in default key mapping from
    classic XPilot. (Closes: #324413)
  * Changed encoding in VERSION string to UTF-8. (Closes: #387170)
  * Added LSB formatted dependency info in init.d script. (Closes: #460522)
  * Must build conflict with x11proto-xf86misc-dev so that HAVE_XF86MISC
    will not be set, as otherwise XF86MiscGetMouseSettings fails on the new
    xorg, crashing the client.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 18 Mar 2008 12:33:36 -0300

xpilot-ng (1:4.7.2-4) unstable; urgency=low

  * Switch to python-irclib.  (Closes: #377092).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  6 Jul 2006 14:54:16 -0300

xpilot-ng (1:4.7.2-3) unstable; urgency=low

  * Fix gl/glu dependencies (Closes: #367703).
  * Make compliant with new python policy.
  * Fix postinst to use invoke-rc.d.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon,  3 Jul 2006 15:20:58 -0300

xpilot-ng (1:4.7.2-2) unstable; urgency=low

  * NMU acknowledged.
  * Source upload to fix dependency breakage caused by 4.7.2-1.1+b1 binary
    NMU. (Closes: #360794)
  * Handle openal/alut library split.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue,  4 Apr 2006 21:04:04 -0300

xpilot-ng (1:4.7.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346927).

 -- Luk Claes <luk@debian.org>  Fri, 20 Jan 2006 19:04:28 +0100

xpilot-ng (1:4.7.2-1) unstable; urgency=low

  * New upstream release.
  * Now uses a single menu entry for the XPilot NG Control Center (xpngcc) to
    launch all XPilot components.
  * Allow adduser to throw an error if the adduser fails.  (Closes: #327544).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 11 Sep 2005 10:52:33 -0300

xpilot-ng (1:4.7.1-2) unstable; urgency=low

  * Use ship_red.ppm to create an xpilot-ng menu icon.  (Closes: #275646).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed, 17 Aug 2005 07:00:25 -0300

xpilot-ng (1:4.7.1-1) unstable; urgency=low

  * New upstream release.
  * First upload.  (Closes: #141099).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  7 Aug 2005 12:17:11 -0300

xpilot-ng (1:4.6.6ng+4.7a1.20050108-2) unstable; urgency=low

  * Add ng suffix so version matches what is reported to metaserver.
  * Fix init script & wrapper to correctly save pid of server, not
    of wrapper.
  * Parameterise version# to make it easier to create new versions
    of package.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  9 Jan 2005 12:49:05 -0400

xpilot-ng (1:4.6.6ng+4.7a1.20050108-1) unstable; urgency=low

  * New CVS snapshot.
  * Fix CVS epoch date (wrong year).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  9 Jan 2005 12:27:40 -0400

xpilot-ng (4.6.6+4.7a1.20040106-3) unstable; urgency=low

  * Fix init script: relying on --name and --user is fragile.  Use
    --make-pidfile instead.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat,  8 Jan 2005 18:06:57 -0400

xpilot-ng (4.6.6+4.7a1.20040106-2) unstable; urgency=low

  * Misc fixes: password file postinst problem; conf files now have .txt 
    suffix; shipshapes.txt belongs in -client-common; missing -client-sdl
    dependency added to xpilot-ng metapackage.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat,  8 Jan 2005 11:37:14 -0400

xpilot-ng (4.6.6+4.7a1.20040106-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  6 Jan 2005 19:48:47 -0400

xpilot-ng (4.5.4.cvs.20040120-1) unstable; urgency=low

  * New upstream.
  * Fixed manpages to match binary names.
  * Dropped 'cruft' (xp-replay, xp-mapedit, which can just as easily
    be obtained from official version which, after all, does not
    conflict with -ng anymore).
  * Switched to non-redundant version# scheme.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 20 Jan 2004 20:30:05 -0400

xpilot-ng (4.5.4.ng.20040110-1) unstable; urgency=low

  * New upstream.
  * Changed name from xpilot to xpilot-ng so that this package does
    not conflict with the original.
    - Removed pre-ng changelog entries.
    - Fixed paths & dependencies so both versions can co-exist.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 10 Jan 2004 10:34:00 -0400

xpilot (4.5.4.ng.20040102-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri,  2 Jan 2004 13:56:14 -0400

xpilot (4.5.4.ng.20040101-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  1 Jan 2004 12:02:43 -0400

xpilot (4.5.4.ng.20031210-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed, 10 Dec 2003 17:01:18 -0400

xpilot (4.5.4.ng.20031203-2) unstable; urgency=low

  * Replace xpilot-extra.
    - The one map worth keeping (teamcup.xp) is now in xpilot-server.  
    - The other maps are widely considered not very good.
    - Sounds are no longer supported.
    - The meta server script isn't needed as there is a meta interface
      in the client now.
    - Add example configs to xpilot-client-common.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  7 Dec 2003 14:51:06 -0400

xpilot (4.5.4.ng.20031203-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed,  3 Dec 2003 11:47:30 -0400

xpilot (4.5.4.ng.20031122-2) unstable; urgency=low

  * Fix dependencies.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 30 Nov 2003 14:13:19 -0400

xpilot (4.5.4.ng.20031122-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 22 Nov 2003 14:59:18 -0400

xpilot (4.5.4.ng.20031116-1) unstable; urgency=low

  * Moved from xpilot.org to xpilot.sf.net fork.
  * Simplified packaging.
  * Dropped -nas and -rplay versions, as they've never worked well,
    and all of the xpilot developers agree the sound support needs to
    be redone with a modern sound daemon anyway.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 16 Nov 2003 19:41:31 -0400

